import openfl.display.Sprite;
import openfl.display.Stage;
import openfl.events.Event;


class App extends Sprite {
	
	
	public function new () {
		
		super ();
		var game:Game = new Game(stage);
		game.onInit();
		stage.addEventListener(Event.ENTER_FRAME, game.onEnterFrame);
		
		
	}
	
	
	static function main () {
		
		var stage = new Stage (550, 400, 0xFFFFFF, App);
		js.Browser.document.body.appendChild (stage.element);
		
	}
	
	
}